let tableIns;
let tree;
layui.use(['element', 'form', 'table', 'layer', 'laydate', 'tree', 'util'], function () {
    let table = layui.table;
    let form = layui.form;//select、单选、复选等依赖form

    form.verify({
        positiveNumberRequiredTrue: [/^(([0-9]+[\.]?[0-9]+)|[1-9])$/, '只能填写正数'],//必填，且只能输入正数
        positiveWholeNumberRequiredTrue: [/^[+]{0,1}(\d+)$/, '只能填写正整数'],//必填，且只能输入正整数
    });

    let element = layui.element; //导航的hover效果、二级菜单等功能，需要依赖element模块
    let laydate = layui.laydate;
    tree = layui.tree;
    let height = document.documentElement.clientHeight * 0.8; //随便设置下，和操作表单大概一样
    //用户列表
    tableIns = table.render({
        elem: '#fruitConfigTable'
        , url: ctx + "/sys/sysProperty/findAllFruitConfig"
        , method: 'POST'
        , response: {
            statusName: 'flag' //规定数据状态的字段名称，默认：code
            , statusCode: true //规定成功的状态码，默认：0
            , msgName: 'msg' //规定状态信息的字段名称，默认：msg
            , countName: 'records' //规定数据总数的字段名称，默认：count
            , dataName: 'rows' //规定数据列表的字段名称，默认：data
        }
        //响应后数据处理
        , parseData: function (res) { //res 即为原始返回的数据
            let data = res.data;
            // console.log(res);
            return {
                "flag": res.flag, //解析接口状态
                "msg": res.msg, //解析提示文本
                "records": data.records, //解析数据长度
                "rows": data.rows //解析数据列表
            };
        }
        , toolbar: '#fruitConfigTableToolbarDemo'
        , title: '果实列表'
        , cols: [[
            {field: 'id', title: '水果id', hide: true}
            , {field: 'name', title: '名字'}
            , {field: 'priceSnb', title: '出售SNB价格'}
            , {field: 'priceCnt', title: '出售CNT价格', hide: true}
            , {field: 'fruitDescribe', title: '果实描述'}
            , {field: 'createTime', title: '创建时间', hide: true}
            , {field: 'updateTime', title: '更新时间', hide: true}
            , {fixed: 'right', title: '操作', toolbar: '#fruitConfigTableBarDemo'}
        ]]
        , defaultToolbar: ['', 'exports', 'print']
        , page: false
        , height: height
        , cellMinWidth: 80
    });

    //监听行工具事件
    table.on('tool(test)', function (obj) {
        let data = obj.data;
        //编辑
        if (obj.event === 'edit') {
            // console.log("edit");
            //回显操作表单
            $("#fruitConfigForm").form(data);
            form.render();
        }
    });

    //监听提交
    form.on('submit(fruitConfigFilter)', function (data) {
        // layer.alert(JSON.stringify(data.field), {
        //     title: '最终的提交信息'
        // })
        fruitConfigSave();
    });
});

/**
 * 提交保存
 */
function fruitConfigSave() {
    let fruitConfigForm = $("#fruitConfigForm").serializeObject();
    // console.log(seedConfigForm);
    if (!fruitConfigForm.id) {
        layer.msg("选择编辑的果实", {icon: 2, time: 1000}, function () {
        });
        return;
    }
    let nowTime = commonUtil.getNowTime();
    fruitConfigForm.updateTime = nowTime;
    $("input[name='updateTime']").val(nowTime);
    $.post(ctx + "/sys/sysProperty/saveFruitConfig", fruitConfigForm, function (data) {
        if (!data.flag) {
            layer.msg(data.msg, {icon: 2, time: 2000}, function () {
            });
            return;
        }
        tableIns.reload();
    });
}
